Index: SimpleSample/trunk/SimpleSampleTransparentRPC/SimpleSample.cdl
===================================================================
--- SimpleSample/trunk/SimpleSampleTransparentRPC/SimpleSample.cdl	(revision 30)
+++ SimpleSample/trunk/SimpleSampleTransparentRPC/SimpleSample.cdl	(revision 34)
@@ -9,15 +9,27 @@
  *  |             |Body       |             |          |             |
  *  +-------------+           +-------------+          +-------------+
+ *
+ *  * SimpleSample/SimpleSample.cdl を参照
+ *  * この例では Transparent プラグインが指定される。以下の※を参照
+ *  * Tranceparent プラグインのため tSysLog, rpc, tDataqueOWChannel を import
  */
-
 
 // cygwin 用の簡易な型定義
 import( <cygwin_kernel.cdl> );
-  // TECS 対応 TOPPERS/ASP ならば import( <kernel.cdl> ); でよい
+    // TECS 対応 TOPPERS/ASP ならば import( <kernel.cdl> ); に相当する
 
+// tSysLog の定義
 import( <tSysLog.cdl> );
+
+// SysLog の定義 (RPC のエラーメッセージ出力)
+cell tSysLog SysLog {
+};
+
+// RPC 関連のセルタイプの定義
 import( <rpc.cdl> );
+// Transparent RPC に用いる Dataqueue OneWay チャンネルセルタイプの定義
 import( <tDataqueueOWChannel.cdl> );
 
+// シグニチャ sSample
 signature sSample {
 	ER  sayHello( [in]int32_t times );
@@ -25,9 +37,10 @@
 };
 
+// セルタイプ tSample
 celltype tSample {
 	entry sSample eEnt;
 };
 
-[singleton,active]
+// セルタイプ tSimple
 celltype tSimple {
 	call sSample cCall;
@@ -35,15 +48,15 @@
 };
 
-cell tSysLog SysLog {
-};
-
+// セル Sample
 cell tSample Sample {
 };
 
+// セル Simple
 cell tSimple Simple {
-	[through(RPCPlugin,"")]
+	[through(RPCPlugin,"")]         // <<<  ※ この行を挿入
 		cCall = Sample.eEnt;
 };
 
+// セル Task
 cell tTask Task {
 	cBody = Simple.eBody;
Index: SimpleSample/trunk/SimpleSampleTransparentRPC/src/tSample.c
===================================================================
--- SimpleSample/trunk/SimpleSampleTransparentRPC/src/tSample.c	(revision 30)
+++ SimpleSample/trunk/SimpleSampleTransparentRPC/src/tSample.c	(revision 34)
@@ -1,23 +1,23 @@
-/*
- * このファイルは tecsgen によりテンプレートとして自動生成されました
- * このファイルを編集して使用することが意図されていますが
- * tecsgen の再実行により上書きされてしまうため、通常
- *   gen/tSample_template.c => src/tSample.c
- * のように名前, フォルダを変更してから修正します
- */
 /* #[<PREAMBLE>]#
  * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
  * tecsmerge によるマージに使用されます
  *
+ * このファイルは tecsgen によりテンプレートとして自動生成されました
+ * このファイルを編集して使用することが意図されていますが
+ * tecsgen の再実行により上書きされてしまうため、通常
+ *   gen/tSimpleServer_template.c => src/tSimpleServer.c
+ * のように名前, フォルダを変更してから修正します
+ *
  * #[</PREAMBLE>]# */
 
-/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
+#include <stdio.h>
+#include <string.h>
 #include "tSample_tecsgen.h"
-#include <stdio.h>
 
 #ifndef E_OK
-#define	E_OK	0		/* success */
-#define	E_ID	(-18)	/* illegal ID */
+#define	E_OK	0		/* 正常終了 */
+#define	E_ID	(-18)	/* 不正ID番号 */
 #endif
+
 
 /* 受け口関数 #_TEPF_# */
@@ -26,4 +26,5 @@
  * signature:  sSample
  * context:    task
+ * params: 
  * #[</ENTRY_PORT>]# */
 
@@ -31,6 +32,6 @@
  * name:         eEnt_sayHello
  * global_name:  tSample_eEnt_sayHello
- * oneway:       false
- * #[</ENTRY_FUNC>]# */
+ * oneway:       
+ * #[/ENTRY_FUNC>]# */
 ER
 eEnt_sayHello(CELLIDX idx, int32_t times)
@@ -43,10 +44,11 @@
 	else {
 		return(E_ID);
-	} /* end if VALID_IDX(idx) */
+	}
 
-	/* ここに処理本体を記述します #_TEFB_# */
+	/* ここに処理本体を記述します */
+	printf( "Sample: " );
 	while( times-- > 0 )
-		printf( "Hello! " );
-	puts( "" );
+		printf( "hello " );
+	printf( "\n" );
 
 	return(ercd);
@@ -56,6 +58,6 @@
  * name:         eEnt_howAreYou
  * global_name:  tSample_eEnt_howAreYou
- * oneway:       false
- * #[</ENTRY_FUNC>]# */
+ * oneway:       
+ * #[/ENTRY_FUNC>]# */
 ER
 eEnt_howAreYou(CELLIDX idx, char_t* buf, int32_t len)
@@ -68,13 +70,11 @@
 	else {
 		return(E_ID);
-	} /* end if VALID_IDX(idx) */
+	}
 
-	/* ここに処理本体を記述します #_TEFB_# */
-	strncpy( buf, "I'm fine thank you.", len );
+	/* ここに処理本体を記述します */
+	strncpy( buf, "Sample: I'm fine!", len );
 
 	return(ercd);
 }
 
-/* #[<POSTAMBLE>]#
- *   これより下に非受け口関数を書きます
- * #[</POSTAMBLE>]#*/
+
Index: SimpleSample/trunk/SimpleSampleTransparentRPC/src/tSimple.c
===================================================================
--- SimpleSample/trunk/SimpleSampleTransparentRPC/src/tSimple.c	(revision 30)
+++ SimpleSample/trunk/SimpleSampleTransparentRPC/src/tSimple.c	(revision 34)
@@ -1,9 +1,2 @@
-/*
- * このファイルは tecsgen によりテンプレートとして自動生成されました
- * このファイルを編集して使用することが意図されていますが
- * tecsgen の再実行により上書きされてしまうため、通常
- *   gen/tSimple_template.c => src/tSimple.c
- * のように名前, フォルダを変更してから修正します
- */
 /* #[<PREAMBLE>]#
  * #[<...>]# から #[</...>]# で囲まれたコメントは編集しないでください
@@ -17,11 +10,10 @@
  * #[</PREAMBLE>]# */
 
-/* プロトタイプ宣言や変数の定義をここに書きます #_PAC_# */
+#include <stdio.h>
 #include "tSimple_tecsgen.h"
-#include <stdio.h>
 
 #ifndef E_OK
-#define	E_OK	0		/* success */
-#define	E_ID	(-18)	/* illegal ID */
+#define	E_OK	0		/* 正常終了 */
+#define	E_ID	(-18)	/* 不正ID番号 */
 #endif
 
@@ -38,12 +30,21 @@
  * #[</ENTRY_FUNC>]# */
 void
-eBody_main()
+eBody_main(CELLIDX idx)
 {
-#define  BUF_LEN	64
-	char_t	buf[64];
-#define HELLO_TIMES	(3)
-	puts( "calling sayHello" );
-	cCall_sayHello( HELLO_TIMES );
-	cCall_howAreYou( buf, BUF_LEN );
+	CELLCB	*p_cellcb;
+	char   buf[256];
+	if (VALID_IDX(idx)) {
+		p_cellcb = GET_CELLCB(idx);
+	}
+	else {
+		/* エラー処理コードをここに記述します */
+	} /* end if VALID_IDX(idx) */
+
+#define N_HELLO 3
+	printf( "Simple: Say hello %d times.\n", N_HELLO );
+	cCall_sayHello( N_HELLO );            /* 呼び口 cCall の sayHello を呼び出す */
+
+	printf( "Simple: How are you?\n" );
+	cCall_howAreYou( buf, sizeof buf );   /* 呼び口 cCall の howAreYou を呼び出す */
 	puts( buf );
 }