Index: /SimpleSample/trunk/SimpleSample/Makefile
===================================================================
--- /SimpleSample/trunk/SimpleSample/Makefile	(revision 34)
+++ /SimpleSample/trunk/SimpleSample/Makefile	(revision 35)
@@ -3,9 +3,11 @@
 TIMESTAMP = tecsgen.timestamp
 TECSGEN_EXE = tecsgen.exe
+# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
+# TECSGEN_EXE = tecsgen
 BASE_DIR = .
 CC = gcc
 CFLAGS = -I $(BASE_DIR)/. -I $(BASE_DIR)/src -I $(BASE_DIR)/gen -I $(BASE_DIR)/../../tecsgen/tecs/../test/cygwin -I $(BASE_DIR)/../../tecsgen/tecs -I $(GEN_DIR) -D "Inline=static inline"
 LD = gcc
-LDFLAGS = 
+LDFLAGS = -lpthread
 GEN_DIR = $(BASE_DIR)/gen
 SRC_DIR = $(BASE_DIR)/src
Index: /SimpleSample/trunk/SimpleSampleOpaqueRPC/Makefile
===================================================================
--- /SimpleSample/trunk/SimpleSampleOpaqueRPC/Makefile	(revision 34)
+++ /SimpleSample/trunk/SimpleSampleOpaqueRPC/Makefile	(revision 35)
@@ -3,4 +3,6 @@
 TIMESTAMP = tecsgen.timestamp
 TECSGEN_EXE = tecsgen.exe
+# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
+# TECSGEN_EXE = tecsgen
 TECSPATHR = ../../tecsgen/tecs
 BASE_DIR = .
@@ -9,5 +11,5 @@
 CFLAGS = $(INCLUDE) -I $(BASE_DIR)/src -I $(GEN_DIR) -D "Inline=static inline"
 LD = gcc
-LDFLAGS = 
+LDFLAGS = -lpthread
 GEN_DIR = $(BASE_DIR)/gen
 SRC_DIR = $(BASE_DIR)/src
Index: /SimpleSample/trunk/SimpleSampleOpaqueRPC/rSample/Makefile
===================================================================
--- /SimpleSample/trunk/SimpleSampleOpaqueRPC/rSample/Makefile	(revision 34)
+++ /SimpleSample/trunk/SimpleSampleOpaqueRPC/rSample/Makefile	(revision 35)
@@ -1,16 +1,8 @@
-# このファイルは tecsgen により自動生成されました
-# Makefile.temp は gen の一つ上のディレクトリに移して使用します
-#  % mv Makefile.temp Makefile
-# 
-# clean のデフォルト動作は $(GEN_DIR)/Makefile.* を削除します
-#
-# このファイルは GNU make で gcc を用い POSIX 環境で動作するモジュールをビルドするのに適切なように生成されています
-# vpath, CFLAGS, OTHER_OBJS などを調整する必要があるかもしれません
-# 他の環境やターゲットの場合、このファイルを元に変更する必要があります
-
 # 変数 #_MVAR_#
 TARGET = SimpleSample-rSample.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen
+TECSGEN_EXE = tecsgen.exe
+# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
+# TECSGEN_EXE = tecsgen
 BASE_DIR = ..
 CC = gcc
@@ -18,5 +10,5 @@
 CFLAGS = $(INCLUDE) -I $(BASE_DIR)/src -I $(GEN_DIR) -D "Inline=static inline" -D RPC_DEBUG
 LD = gcc
-LDFLAGS = 
+LDFLAGS = -lpthread
 GEN_DIR = $(BASE_DIR)/gen/rSample
 SRC_DIR = $(BASE_DIR)/src
Index: /SimpleSample/trunk/SimpleSampleOpaqueRPC/rSimple/Makefile
===================================================================
--- /SimpleSample/trunk/SimpleSampleOpaqueRPC/rSimple/Makefile	(revision 34)
+++ /SimpleSample/trunk/SimpleSampleOpaqueRPC/rSimple/Makefile	(revision 35)
@@ -1,16 +1,8 @@
-# このファイルは tecsgen により自動生成されました
-# Makefile.temp は gen の一つ上のディレクトリに移して使用します
-#  % mv Makefile.temp Makefile
-# 
-# clean のデフォルト動作は $(GEN_DIR)/Makefile.* を削除します
-#
-# このファイルは GNU make で gcc を用い POSIX 環境で動作するモジュールをビルドするのに適切なように生成されています
-# vpath, CFLAGS, OTHER_OBJS などを調整する必要があるかもしれません
-# 他の環境やターゲットの場合、このファイルを元に変更する必要があります
-
 # 変数 #_MVAR_#
 TARGET = SimpleSample-rSimple.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen
+TECSGEN_EXE = tecsgen.exe
+# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
+# TECSGEN_EXE = tecsgen
 BASE_DIR = ..
 CC = gcc
@@ -18,5 +10,5 @@
 CFLAGS = $(INCLUDE) -I $(BASE_DIR)/src -I $(GEN_DIR) -D "Inline=static inline" -D RPC_DEBUG
 LD = gcc
-LDFLAGS = 
+LDFLAGS = -lpthread
 GEN_DIR = $(BASE_DIR)/gen/rSimple
 SRC_DIR = $(BASE_DIR)/src
Index: /SimpleSample/trunk/SimpleSampleTrace/Makefile
===================================================================
--- /SimpleSample/trunk/SimpleSampleTrace/Makefile	(revision 34)
+++ /SimpleSample/trunk/SimpleSampleTrace/Makefile	(revision 35)
@@ -3,9 +3,11 @@
 TIMESTAMP = tecsgen.timestamp
 TECSGEN_EXE = tecsgen.exe
+# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
+# TECSGEN_EXE = tecsgen
 BASE_DIR = .
 CC = gcc
 CFLAGS = -I $(BASE_DIR)/. -I $(BASE_DIR)/src -I $(BASE_DIR)/gen -I $(BASE_DIR)/../../tecsgen/tecs/../test/cygwin -I $(BASE_DIR)/../../tecsgen/tecs -I $(GEN_DIR) -D "Inline=static inline"
 LD = gcc
-LDFLAGS = 
+LDFLAGS = -lpthread
 GEN_DIR = $(BASE_DIR)/gen
 SRC_DIR = $(BASE_DIR)/src
Index: /SimpleSample/trunk/SimpleSampleTransparentRPC/Makefile
===================================================================
--- /SimpleSample/trunk/SimpleSampleTransparentRPC/Makefile	(revision 34)
+++ /SimpleSample/trunk/SimpleSampleTransparentRPC/Makefile	(revision 35)
@@ -3,4 +3,6 @@
 TIMESTAMP = tecsgen.timestamp
 TECSGEN_EXE = tecsgen.exe
+# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
+# TECSGEN_EXE = tecsgen
 TECSPATHR = ../../tecsgen/tecs
 BASE_DIR = .
@@ -9,5 +11,5 @@
 CFLAGS = $(INCLUDE) -D "Inline=static inline"
 LD = gcc
-LDFLAGS = 
+LDFLAGS = -lpthread
 GEN_DIR = $(BASE_DIR)/gen
 SRC_DIR = $(BASE_DIR)/src