Index: SimpleSample/trunk/SimpleSample/Makefile
===================================================================
--- SimpleSample/trunk/SimpleSample/Makefile	(revision 35)
+++ SimpleSample/trunk/SimpleSample/Makefile	(revision 36)
@@ -2,7 +2,10 @@
 TARGET = SimpleSample.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen.exe
-# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
-# TECSGEN_EXE = tecsgen
+ifeq ($(OS),Windows_NT)
+	TECSGEN_EXE = tecsgen.exe
+else
+	# use below if you want to use non-exerb version of tecsgen.
+	TECSGEN_EXE = tecsgen
+endif
 BASE_DIR = .
 CC = gcc
Index: SimpleSample/trunk/SimpleSampleOpaqueRPC/Makefile
===================================================================
--- SimpleSample/trunk/SimpleSampleOpaqueRPC/Makefile	(revision 35)
+++ SimpleSample/trunk/SimpleSampleOpaqueRPC/Makefile	(revision 36)
@@ -2,7 +2,10 @@
 TARGET = SimpleSample.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen.exe
-# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
-# TECSGEN_EXE = tecsgen
+ifeq ($(OS),Windows_NT)
+	TECSGEN_EXE = tecsgen.exe
+else
+	# use below if you want to use non-exerb version of tecsgen.
+	TECSGEN_EXE = tecsgen
+endif
 TECSPATHR = ../../tecsgen/tecs
 BASE_DIR = .
Index: SimpleSample/trunk/SimpleSampleOpaqueRPC/rSample/Makefile
===================================================================
--- SimpleSample/trunk/SimpleSampleOpaqueRPC/rSample/Makefile	(revision 35)
+++ SimpleSample/trunk/SimpleSampleOpaqueRPC/rSample/Makefile	(revision 36)
@@ -2,7 +2,10 @@
 TARGET = SimpleSample-rSample.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen.exe
-# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
-# TECSGEN_EXE = tecsgen
+ifeq ($(OS),Windows_NT)
+	TECSGEN_EXE = tecsgen.exe
+else
+	# use below if you want to use non-exerb version of tecsgen.
+	TECSGEN_EXE = tecsgen
+endif
 BASE_DIR = ..
 CC = gcc
Index: SimpleSample/trunk/SimpleSampleOpaqueRPC/rSimple/Makefile
===================================================================
--- SimpleSample/trunk/SimpleSampleOpaqueRPC/rSimple/Makefile	(revision 35)
+++ SimpleSample/trunk/SimpleSampleOpaqueRPC/rSimple/Makefile	(revision 36)
@@ -2,7 +2,10 @@
 TARGET = SimpleSample-rSimple.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen.exe
-# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
-# TECSGEN_EXE = tecsgen
+ifeq ($(OS),Windows_NT)
+	TECSGEN_EXE = tecsgen.exe
+else
+	# use below if you want to use non-exerb version of tecsgen.
+	TECSGEN_EXE = tecsgen
+endif
 BASE_DIR = ..
 CC = gcc
Index: SimpleSample/trunk/SimpleSampleTrace/Makefile
===================================================================
--- SimpleSample/trunk/SimpleSampleTrace/Makefile	(revision 35)
+++ SimpleSample/trunk/SimpleSampleTrace/Makefile	(revision 36)
@@ -2,7 +2,10 @@
 TARGET = SimpleSample.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen.exe
-# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
-# TECSGEN_EXE = tecsgen
+ifeq ($(OS),Windows_NT)
+	TECSGEN_EXE = tecsgen.exe
+else
+	# use below if you want to use non-exerb version of tecsgen.
+	TECSGEN_EXE = tecsgen
+endif
 BASE_DIR = .
 CC = gcc
Index: SimpleSample/trunk/SimpleSampleTransparentRPC/Makefile
===================================================================
--- SimpleSample/trunk/SimpleSampleTransparentRPC/Makefile	(revision 35)
+++ SimpleSample/trunk/SimpleSampleTransparentRPC/Makefile	(revision 36)
@@ -2,7 +2,10 @@
 TARGET = SimpleSample.exe
 TIMESTAMP = tecsgen.timestamp
-TECSGEN_EXE = tecsgen.exe
-# Please use below instead of above if you make SimpleSample with non-exerb version of tecsgen
-# TECSGEN_EXE = tecsgen
+ifeq ($(OS),Windows_NT)
+	TECSGEN_EXE = tecsgen.exe
+else
+	# use below if you want to use non-exerb version of tecsgen.
+	TECSGEN_EXE = tecsgen
+endif
 TECSPATHR = ../../tecsgen/tecs
 BASE_DIR = .