Index: asp_wo_cfg/trunk/README.txt
===================================================================
--- asp_wo_cfg/trunk/README.txt	(revision 52)
+++ asp_wo_cfg/trunk/README.txt	(revision 53)
@@ -6,5 +6,6 @@
 TOPPERS/ASPカーネル without Configurator（以下，ASP_WO_CFGカーネル）は，
 コンフィギュレータなしでTOPPERS/ASPカーネルを使いたいという要望に対応し
-て，ASPカーネルを改造して作成したものです．
+て，ASPカーネルを改造して作成したものです．改造にあたっては，ASPカーネ
+ルの動的機能生成拡張パッケージのコードも活用しました．
 
 【使用方法】
@@ -56,7 +57,49 @@
 【ポーティングにあたって】
 
-コンフィギュレータを使わないとい趣旨からは，offset.hの自動生成も使わな
-いのが望ましいと考えます．ターゲット毎にoffset.hを準備する方法を推奨し
-ます．
+ASPカーネルのターゲット依存部に対して，以下の修正が必要です．
+
+(1) 割込み要求ライン属性の設定方法と，割込みハンドラおよびCPU例外ハンド
+ラの登録方法が，大幅に変更されています．cfg_int，def_inh，def_excの各サー
+ビスコールは，カーネル内の標準的なデータ構造に登録内容を書き込みます．
+それらの処理が終わった後，カーネルの起動前に，ターゲット依存部の
+target_prepare が呼ばれます．
+
+	void target_prepare(void)
+
+target_prepareの中では，カーネル内の標準的なデータ構造を読み込んで，割
+込み要求ラインの属性の設定と，割込みハンドラおよびCPU例外ハンドラの登録
+処理を行って下さい．
+
+この変更に伴って，以下のマクロと関数（または，それに変わるマクロと関数
+など）は不要になります．
+
+	void x_config_int(INTNO intno, ATR intatr, PRI intpri)
+
+	INT_ENTRY(inhno, inthdr)
+	INTHDR_ENTRY(inhno, inhno_num, inthdr)
+	void x_define_inh(INHNO inhno, FP int_entry)
+
+	EXC_ENTRY(excno, exchdr)
+	EXCHDR_ENTRY(excno, excno_num, exchdr)
+	void x_define_exc(EXCNO excno, FP exc_entry)
+
+(2) cre_tsk，att_isr，cfg_int，def_inh，def_excでターゲット依存にエラー
+チェックを行うための以下の関数が必要になります．ターゲット依存にチェッ
+クすべきエラーがない場合には，こららの関数を，常にE_OKを返す関数として
+実装してください．
+
+	ER target_check_ctsk(ID tskid, const T_CTSK *pk_ctsk)
+	ER target_check_aisr(const T_CISR *pk_cisr)
+	ER target_check_cint(INTNO intno, const T_CINT *pk_cint)
+	ER target_check_dinh(INHNO inhno, const T_DINH *pk_dinh)
+	ER target_check_dexc(EXCNO excno, const T_DEXC *pk_dexc)
+
+(3) ターゲット依存部にコンフィギュレーションファイル（例えば，
+target_timer.cfgやtarget_serial.cfg）があった場合，その内容を，初期化処
+理（例えば，target_timer_initializeやsio_initialize）に追加します．
+
+また，コンフィギュレータを使わないとい趣旨からは，offset.hの自動生成も
+使わないのが望ましいと考えます．ターゲット毎にoffset.hを準備する方法を
+推奨します．
 
 以上
Index: asp_wo_cfg/trunk/target/macosx_gcc/target_rename.def
===================================================================
--- asp_wo_cfg/trunk/target/macosx_gcc/target_rename.def	(revision 52)
+++ asp_wo_cfg/trunk/target/macosx_gcc/target_rename.def	(revision 53)
@@ -16,4 +16,6 @@
 call_exit_kernel
 start_r
+target_check_cint
+target_check_dexc
 target_initialize
 target_prepare
Index: asp_wo_cfg/trunk/target/macosx_gcc/target_rename.h
===================================================================
--- asp_wo_cfg/trunk/target/macosx_gcc/target_rename.h	(revision 52)
+++ asp_wo_cfg/trunk/target/macosx_gcc/target_rename.h	(revision 53)
@@ -25,4 +25,6 @@
 #define call_exit_kernel			_kernel_call_exit_kernel
 #define start_r						_kernel_start_r
+#define target_check_cint			_kernel_target_check_cint
+#define target_check_dexc			_kernel_target_check_dexc
 #define target_initialize			_kernel_target_initialize
 #define target_prepare				_kernel_target_prepare
@@ -71,4 +73,6 @@
 #define _call_exit_kernel			__kernel_call_exit_kernel
 #define _start_r					__kernel_start_r
+#define _target_check_cint			__kernel_target_check_cint
+#define _target_check_dexc			__kernel_target_check_dexc
 #define _target_initialize			__kernel_target_initialize
 #define _target_prepare				__kernel_target_prepare
Index: asp_wo_cfg/trunk/target/macosx_gcc/target_unrename.h
===================================================================
--- asp_wo_cfg/trunk/target/macosx_gcc/target_unrename.h	(revision 52)
+++ asp_wo_cfg/trunk/target/macosx_gcc/target_unrename.h	(revision 53)
@@ -26,4 +26,6 @@
 #undef call_exit_kernel
 #undef start_r
+#undef target_check_cint
+#undef target_check_dexc
 #undef target_initialize
 #undef target_prepare
@@ -72,4 +74,6 @@
 #undef _call_exit_kernel
 #undef _start_r
+#undef _target_check_cint
+#undef _target_check_dexc
 #undef _target_initialize
 #undef _target_prepare